Skip to main content
GET
/
members
List all members
curl --request GET \
  --url https://{domain}/api/site/members \
  --header 'Authorization: Bearer <token>'
{
  "totalCount": 1,
  "limit": 25,
  "skip": 0,
  "items": [
    {
      "id": 123,
      "name": "John Doe",
      "email": "john@doe.com",
      "groups": [
        59,
        98
      ],
      "registeredOn": 1587489771,
      "approved": true,
      "contactId": 147,
      "billingAddress": {
        "name": "<string>",
        "phone": "<string>",
        "companyName": "<string>",
        "companyId": "<string>",
        "country": "<string>",
        "state": "<string>",
        "city": "<string>",
        "zipCode": "<string>",
        "address": "<string>",
        "address2": "<string>"
      },
      "shippingAddress": {
        "name": "<string>",
        "phone": "<string>",
        "companyName": "<string>",
        "companyId": "<string>",
        "country": "<string>",
        "state": "<string>",
        "city": "<string>",
        "zipCode": "<string>",
        "address": "<string>",
        "address2": "<string>"
      }
    }
  ]
}

Authorizations

Authorization
string
header
required

Pass your API key as: Authorization: Bearer <API KEY>.

Query Parameters

groupId
integer

List only members in the specified group.

Example:

12

limit
integer
default:30

A limit on the number of objects to be returned. Between 1 and 50.

Required range: 1 <= x <= 50
Example:

25

skip
integer
default:0

The number of items to skip (offset). Defaults to 0, i.e. the first page.

Required range: x >= 0
Example:

25

Response

200 - application/json

A paginated list of members.

Common pagination envelope shared by list endpoints.

totalCount
integer
required

The total size of the result set without any pagination.

Example:

1

limit
integer
required

The currently used limit.

Example:

25

skip
integer
required

The current offset in the list.

Example:

0

items
object[]
Last modified on June 20, 2026